use BoxTempKL;
go

---------------------------------------------------
-- Drop tables
--------------------------------------------------
drop table #c1
drop table #c7
drop table #c14
drop table delta
drop table smooth
drop table coef

-----------------------------------------------------
-- create the coeff table with the projection values
------------------------------------------------------
create table coef
(
	sensorid smallint not null,
	day int not null,
	e1 real not null,
	e2 real not null,
	e3 real not null,
	e4 real not null,
	primary key (sensorid, day)
)

--------------------------------------------------------
-- Populate the coeff table with projection values
-- NOTE : CHANGE THE LOCATION !
--------------------------------------------------------
BULK INSERT coef
   FROM 'PCA\PCA_output\coef_AT.csv'
   WITH 
      (
		 TABLOCK,
		 ROWS_PER_BATCH=10000,
         FIELDTERMINATOR =',',
         ROWTERMINATOR ='\n'
      )

select 	day, 
	avg(e1) e1, 
	avg(e2) e2, 
	avg(e3) e3,
	avg(e4) e4
into #c1
from coef c
group by day

-------------------------------------------------
-- Days table
--------------------------------------------------
drop table days
select distinct day into days from coef order by day

---------------------------------------------------
-- E1 series averaged across all sensors.
---------------------------------------------------
select day, e1
from #c1
order by day
