use BoxTempKL;
go

-------------------------------------------------
-- Remove the seasonal drift from the E1 series
-- by running a highpass filter
-- Highpass = Original - Lowpass (Smooth)
-- Kernel of Smooth filter is 7
------------------------------------------------
declare @kernel int
set @kernel = 3

select  d.day, 
	avg(a.e1) e1, 
	avg(a.e2) e2, 
	avg(a.e3) e3,
	avg(a.e4) e4
into #c7
from #c1 a, days d
where a.day between d.day-@kernel and d.day+@kernel
group by d.day
--
select  d.day, 
	avg(a.e1) e1, 
	avg(a.e2) e2, 
	avg(a.e3) e3,
	avg(a.e4) e4
into #c14
from #c7 a, days d
where a.day between d.day-@kernel and d.day+@kernel
group by d.day
--
select  d.day, 
	avg(a.e1) e1, 
	avg(a.e2) e2, 
	avg(a.e3) e3,
	avg(a.e4) e4
into smooth
from #c14 a, days d
where a.day between d.day-@kernel and d.day+@kernel
group by d.day

-----------------------------------
-- Compute the difference
-----------------------------------
drop table highpass
select 
 a.day,
(a.e1 - b.e1) as d1,
(a.e2 - b.e2) as d2,
(a.e3 - b.e3) as d3,
(a.e4 - b.e4) as d4
into highpass
from #c1 a, smooth b
where a.day = b.day

-----------------------------------
-- output the deltas
-----------------------------------
select day, d1
from highpass
order by day
