function mat = prmat (days, measure, event_list)
%----------------------------------
% set the threshold constants
%---------------------------------
thresh_start = 35;
thresh_end = -35;
step = 1;
curr_thresh = thresh_start;
%-------------------------
% count variables
%------------------------
event_count = sum(event_list);
mat = [];
%----------------------------------
% loop through to get 
% # of events detected
% # false positives
% # false negatives
% precision = # of actual events detected / total thought to be events
% recall = # of actual events detected / total number of actual events.
%----------------------------------
while (curr_thresh > thresh_end)
    events_detected = 0;
    false_positives = 0;
    false_negatives = 0;
    precision = 0;
    recall = 0;
    actual_events = 0;
    for i=1:size(measure),
       if ((measure(i) < curr_thresh) & (event_effect(i, event_list) == 0)) 
          % this is a possible event
          events_detected = events_detected + 1; 
          % check to see if it actually is an event
          if (event_list(i) ~= 1)
              % This is a false positive
              false_positives = false_positives + 1;
          else
              actual_events = actual_events + 1;
          end
       else
           % check for false negatives
           if (event_list(i) == 1)
              % This is a false negative
              false_negatives = false_negatives + 1;
           end       
       end
    end
    % ---------------------------------------------------------
    % write the results to the mat matrix for this value of threshold
    %----------------------------------------------------------
	ind = size(mat) + 1;
    mat(ind(1),1:6) = [curr_thresh; events_detected; false_positives; false_negatives; actual_events/events_detected; actual_events/event_count];
    curr_thresh = curr_thresh - step;
end
end

%-------------------------------------------------
% Tests to see if the event effect is still there
%-------------------------------------------------
function flag = event_effect (i, event_list)
if (event_list(i) == 1) 
    flag=0; 
    return; 
end
window = 1;
flag = 0;
if (i-window > 0 )
    for j=i-window:i-1,
        if (event_list(j) == 1)
            flag = 1;
            return;
        end
    end
end
if (i+window < size(event_list)) 
    for j=i+1:i+window,
        if (event_list(j) == 1)
            flag = 1;
            return;
        end
    end
end
end
