function [P,V,R] = klcoef(M,rank)
%--------------------------------
% normalize rows for equal weight
%--------------------------------
[n m] = size(M);
N = M;
for i=1:n
    a = M(i,:);
    N(i,:) = a/norm(a);
end
%---------------------
% compute eigenmodes
%---------------------
[u,s,v] = svd(N);
e = svd(N);
enorm = sum(e(:));

%---------------------
% expand M over v
%---------------------
V = -v(:,1:rank);
P = M*V;
%---------------------
% reproject the coef
%---------------------
N = P*V';
%---------------------
% create the residual
%---------------------
R = M-N;
%---------------------
% save coefficients
%---------------------
% csvwrite('coef.csv',[S,D,P]);

